diff --git a/kmail/kmkernel.cpp b/kmail/kmkernel.cpp
index 931d15ea7..7a05280e9 100644
--- a/kmail/kmkernel.cpp
+++ b/kmail/kmkernel.cpp
@@ -425,7 +425,7 @@ int KMKernel::openComposer (const TQString &to, const TQString &cc,
     for ( QCStringList::ConstIterator it = customHeaders.begin() ; it != customHeaders.end() ; ++it )
       if ( !(*it).isEmpty() )
       {
-        const int pos = (*it).tqfind( ':' );
+        const int pos = (*it).find( ':' );
         if ( pos > 0 )
         {
           TQCString header, value;
@@ -606,7 +606,7 @@ int KMKernel::openComposer (const TQString &to, const TQString &cc,
 void KMKernel::setDefaultTransport( const TQString & transport )
 {
   TQStringList availTransports = KMail::TransportManager::transportNames();
-  TQStringList::const_iterator it = availTransports.tqfind( transport );
+  TQStringList::const_iterator it = availTransports.find( transport );
   if ( it == availTransports.end() ) {
     kdWarning() << "The transport you entered is not available" << endl;
     return;
@@ -814,7 +814,7 @@ int KMKernel::dcopAddMessage( const TQString & foldername,const KURL & msgUrl,
   int retval;
   bool readFolderMsgIds = false;
   TQString _foldername = foldername.stripWhiteSpace();
-  _foldername = _foldername.tqreplace('\\',""); //try to prevent ESCAPE Sequences
+  _foldername = _foldername.replace('\\',""); //try to prevent ESCAPE Sequences
 
   if ( foldername != mAddMessageLastFolder ) {
     mAddMessageMsgIds.clear();
@@ -840,7 +840,7 @@ int KMKernel::dcopAddMessage( const TQString & foldername,const KURL & msgUrl,
     msg->fromString( messageText );
 
     if (readFolderMsgIds) {
-      if ( foldername.tqcontains("/")) {
+      if ( foldername.contains("/")) {
         TQString tmp_fname = "";
         KMFolder *folder = NULL;
         KMFolderDir *subfolder;
@@ -937,8 +937,8 @@ int KMKernel::dcopAddMessage( const TQString & foldername,const KURL & msgUrl,
 	msgId += msg->dateStr();
       }
 
-      int k = mAddMessageMsgIds.tqfindIndex( msgId );
-      //fprintf(stderr,"tqfind %s = %d\n",(const char *) msgId,k);
+      int k = mAddMessageMsgIds.findIndex( msgId );
+      //fprintf(stderr,"find %s = %d\n",(const char *) msgId,k);
 
       if ( k == -1 ) {
         if ( !msgId.isEmpty() ) {
@@ -1000,7 +1000,7 @@ int KMKernel::dcopAddMessage_fastImport( const TQString & foldername,
   bool createNewFolder = false;
 
   TQString _foldername = foldername.stripWhiteSpace();
-  _foldername = _foldername.tqreplace('\\',""); //try to prevent ESCAPE Sequences
+  _foldername = _foldername.replace('\\',""); //try to prevent ESCAPE Sequences
 
   if ( foldername != mAddMessageLastFolder ) {
     createNewFolder = true;
@@ -1018,7 +1018,7 @@ int KMKernel::dcopAddMessage_fastImport( const TQString & foldername,
     msg->fromString( messageText );
 
     if (createNewFolder) {
-      if ( foldername.tqcontains("/")) {
+      if ( foldername.contains("/")) {
         TQString tmp_fname = "";
         KMFolder *folder = NULL;
         KMFolderDir *subfolder;
@@ -1528,7 +1528,7 @@ void KMKernel::init()
   recreateCorruptIndexFiles();
 
   the_searchFolderMgr = new KMFolderMgr(locateLocal("data","kmail/search"), KMSearchDir);
-  KMFolder *lsf = the_searchFolderMgr->tqfind( i18n("Last Search") );
+  KMFolder *lsf = the_searchFolderMgr->find( i18n("Last Search") );
   if (lsf)
     the_searchFolderMgr->remove( lsf );
 
@@ -1597,7 +1597,7 @@ void KMKernel::init()
 
 bool KMKernel::isCodecAsciiCompatible( const TQTextCodec *codec )
 {
-  return !mNonAsciiCompatibleCodecs.tqcontains( codec );
+  return !mNonAsciiCompatibleCodecs.contains( codec );
 }
 
 void KMKernel::readConfig()
@@ -1613,7 +1613,7 @@ void KMKernel::cleanupImapFolders()
   KMFolderNode *node = the_imapFolderMgr->dir().first();
   while (node)
   {
-    if (node->isDir() || ((acct = the_acctMgr->tqfind(node->id()))
+    if (node->isDir() || ((acct = the_acctMgr->find(node->id()))
 			  && ( acct->type() == "imap" )) )
     {
       node = the_imapFolderMgr->dir().next();
@@ -1629,7 +1629,7 @@ void KMKernel::cleanupImapFolders()
   node = the_dimapFolderMgr->dir().first();
   while (node)
   {
-    if (node->isDir() || ((acct = the_acctMgr->tqfind(node->id()))
+    if (node->isDir() || ((acct = the_acctMgr->find(node->id()))
 			  && ( acct->type() == "cachedimap" )) )
     {
       node = the_dimapFolderMgr->dir().next();
@@ -1665,7 +1665,7 @@ void KMKernel::cleanupImapFolders()
 
     if (acct->type() != "cachedimap" ) continue;
 
-    KMFolder* fld = the_dimapFolderMgr->tqfind(TQString::number(acct->id()));
+    KMFolder* fld = the_dimapFolderMgr->find(TQString::number(acct->id()));
     if( fld )
       cfld = static_cast<KMFolderCachedImap*>( fld->storage() );
     if (cfld == 0) {
@@ -2016,7 +2016,7 @@ void KMKernel::slotDataReq(KIO::Job *job, TQByteArray &data)
 {
   // send the data in 64 KB chunks
   const int MAX_CHUNK_SIZE = 64*1024;
-  TQMap<KIO::Job*, putData>::Iterator it = mPutJobs.tqfind(job);
+  TQMap<KIO::Job*, putData>::Iterator it = mPutJobs.find(job);
   assert(it != mPutJobs.end());
   int remainingBytes = (*it).data.size() - (*it).offset;
   if( remainingBytes > MAX_CHUNK_SIZE )
@@ -2039,7 +2039,7 @@ void KMKernel::slotDataReq(KIO::Job *job, TQByteArray &data)
 
 void KMKernel::slotResult(KIO::Job *job)
 {
-  TQMap<KIO::Job*, putData>::Iterator it = mPutJobs.tqfind(job);
+  TQMap<KIO::Job*, putData>::Iterator it = mPutJobs.find(job);
   assert(it != mPutJobs.end());
   if (job->error())
   {
@@ -2108,7 +2108,7 @@ bool KMKernel::haveSystemTrayApplet()
 
 bool KMKernel::registerSystemTrayApplet( const KSystemTray* applet )
 {
-  if ( systemTrayApplets.tqfindIndex( applet ) == -1 ) {
+  if ( systemTrayApplets.findIndex( applet ) == -1 ) {
     systemTrayApplets.append( applet );
     return true;
   }
@@ -2119,7 +2119,7 @@ bool KMKernel::registerSystemTrayApplet( const KSystemTray* applet )
 bool KMKernel::unregisterSystemTrayApplet( const KSystemTray* applet )
 {
   TQValueList<const KSystemTray*>::iterator it =
-    systemTrayApplets.tqfind( applet );
+    systemTrayApplets.find( applet );
   if ( it != systemTrayApplets.end() ) {
     systemTrayApplets.remove( it );
     return true;
diff --git a/kmail/kmmainwidget.cpp b/kmail/kmmainwidget.cpp
index fd41d4a89..a32c61c99 100644
--- a/kmail/kmmainwidget.cpp
+++ b/kmail/kmmainwidget.cpp
@@ -939,7 +939,7 @@ void KMMainWidget::slotMailChecked( bool newMail, bool sendOnCheck,
   for ( TQStringList::const_iterator it = keys.begin();
         it != keys.end();
         ++it ) {
-    kdDebug(5006) << newInFolder.tqfind( *it ).data() << " new message(s) in "
+    kdDebug(5006) << newInFolder.find( *it ).data() << " new message(s) in "
                   << *it << endl;
 
     KMFolder *folder = kmkernel->findFolderById( *it );
@@ -949,7 +949,7 @@ void KMMainWidget::slotMailChecked( bool newMail, bool sendOnCheck,
       if ( GlobalSettings::self()->verboseNewMailNotification() ) {
         summary += "<br>" + i18n( "1 new message in %1",
                                   "%n new messages in %1",
-                                  newInFolder.tqfind( *it ).data() )
+                                  newInFolder.find( *it ).data() )
                             .tqarg( folder->prettyURL() );
       }
     }
@@ -1028,7 +1028,7 @@ void KMMainWidget::slotShowNewFromTemplate()
     TQString subj = mb->subject();
     if ( subj.isEmpty() ) subj = i18n("No Subject");
     mTemplateMenu->popupMenu()->insertItem(
-      KStringHandler::rsqueeze( subj.tqreplace( "&", "&&" ) ), idx );
+      KStringHandler::rsqueeze( subj.replace( "&", "&&" ) ), idx );
   }
 }
 
@@ -2165,7 +2165,7 @@ void KMMainWidget::slotSelectFolder(KMFolder* folder)
 //-----------------------------------------------------------------------------
 void KMMainWidget::slotSelectMessage(KMMessage* msg)
 {
-  int idx = mFolder->tqfind(msg);
+  int idx = mFolder->find(msg);
   if (idx != -1) {
     mHeaders->setCurrentMsg(idx);
     if (mMsgView)
@@ -2189,9 +2189,9 @@ void KMMainWidget::slotReplaceMsgByUnencryptedVersion()
       {
         TQString msgId( oldMsg->msgId() );
         TQString prefix("DecryptedMsg.");
-        int oldIdx = msgId.tqfind(prefix, 0, false);
+        int oldIdx = msgId.find(prefix, 0, false);
         if( -1 == oldIdx ) {
-          int leftAngle = msgId.tqfindRev( '<' );
+          int leftAngle = msgId.findRev( '<' );
           msgId = msgId.insert( (-1 == leftAngle) ? 0 : ++leftAngle, prefix );
         }
         else {
@@ -2210,12 +2210,12 @@ void KMMainWidget::slotReplaceMsgByUnencryptedVersion()
       kdDebug(5006) << "KMMainWidget  -  adding unencrypted message to folder" << endl;
       mFolder->addMsg( newMsg );
       /* Figure out its index in the folder for selecting. This must be count()-1,
-       * since we append. Be safe and do tqfind, though, just in case. */
-      int newMsgIdx = mFolder->tqfind( newMsg );
+       * since we append. Be safe and do find, though, just in case. */
+      int newMsgIdx = mFolder->find( newMsg );
       Q_ASSERT( newMsgIdx != -1 );
       /* we need this unget, to have the message displayed correctly initially */
       mFolder->unGetMsg( newMsgIdx );
-      int idx = mFolder->tqfind( oldMsg );
+      int idx = mFolder->find( oldMsg );
       Q_ASSERT( idx != -1 );
       /* only select here, so the old one is not un-Gotten before, which would
        * render the pointer we hold invalid so that find would fail */
@@ -2468,7 +2468,7 @@ void KMMainWidget::getAccountMenu()
   TQStringList::Iterator it;
   int id = 0;
   for(it = actList.begin(); it != actList.end() ; ++it, id++)
-    mActMenu->insertItem((*it).tqreplace("&", "&&"), id);
+    mActMenu->insertItem((*it).replace("&", "&&"), id);
 }
 
 //-----------------------------------------------------------------------------
@@ -2481,7 +2481,7 @@ void KMMainWidget::getTransportMenu()
   TQStringList::Iterator it;
   int id = 0;
   for(it = availTransports.begin(); it != availTransports.end() ; ++it, id++)
-    mSendMenu->insertItem((*it).tqreplace("&", "&&"), id);
+    mSendMenu->insertItem((*it).replace("&", "&&"), id);
 }
 
 //-----------------------------------------------------------------------------
@@ -2545,7 +2545,7 @@ void KMMainWidget::updateCustomTemplateMenus()
     KAction *action;
     switch ( t.type() ) {
     case CustomTemplates::TReply:
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut( t.shortcut() ),
                             mCustomReplyMapper,
                             TQT_SLOT( map() ),
@@ -2557,7 +2557,7 @@ void KMMainWidget::updateCustomTemplateMenus()
       ++replyc;
       break;
     case CustomTemplates::TReplyAll:
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut( t.shortcut() ),
                             mCustomReplyAllMapper,
                             TQT_SLOT( map() ),
@@ -2569,7 +2569,7 @@ void KMMainWidget::updateCustomTemplateMenus()
       ++replyallc;
       break;
     case CustomTemplates::TForward:
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut( t.shortcut() ),
                             mCustomForwardMapper,
                             TQT_SLOT( map() ),
@@ -2581,7 +2581,7 @@ void KMMainWidget::updateCustomTemplateMenus()
       ++forwardc;
       break;
     case CustomTemplates::TUniversal:
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut::null(),
                             mCustomReplyMapper,
                             TQT_SLOT( map() ),
@@ -2591,7 +2591,7 @@ void KMMainWidget::updateCustomTemplateMenus()
       mCustomReplyActionMenu->insert( action, idx );
       mCustomTemplateActions.append( action );
       ++replyc;
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut::null(),
                             mCustomReplyAllMapper,
                             TQT_SLOT( map() ),
@@ -2601,7 +2601,7 @@ void KMMainWidget::updateCustomTemplateMenus()
       mCustomReplyAllActionMenu->insert( action, idx );
       mCustomTemplateActions.append( action );
       ++replyallc;
-      action = new KAction( (*it).tqreplace( "&", "&&" ),
+      action = new KAction( (*it).replace( "&", "&&" ),
                             KShortcut::null(),
                             mCustomForwardMapper,
                             TQT_SLOT( map() ),
@@ -2767,10 +2767,10 @@ void KMMainWidget::setupActions()
                               TQT_SLOT(slotDeleteThread()), actionCollection(), "delete_thread" );
 
 
-  (void) new KAction( i18n("&Find Messages..."), "mail_tqfind", Key_S, TQT_TQOBJECT(this),
+  (void) new KAction( i18n("&Find Messages..."), "mail_find", Key_S, TQT_TQOBJECT(this),
 		      TQT_SLOT(slotRequestFullSearchFromQuickSearch()), actionCollection(), "search_messages" );
 
-  mFindInMessageAction = new KAction( i18n("&Find in Message..."), "tqfind", KStdAccel::shortcut(KStdAccel::Find), TQT_TQOBJECT(this),
+  mFindInMessageAction = new KAction( i18n("&Find in Message..."), "find", KStdAccel::shortcut(KStdAccel::Find), TQT_TQOBJECT(this),
 		      TQT_SLOT(slotFind()), actionCollection(), "find_in_messages" );
 
   (void) new KAction( i18n("Select &All Messages"), KStdAccel::selectAll(), TQT_TQOBJECT(this),
@@ -3608,7 +3608,7 @@ void KMMainWidget::removeDuplicates()
     if ( !id.isEmpty() ) {
       TQString subjMD5 = (*mFolder)[i]->strippedSubjectMD5();
       int other = -1;
-      if ( idMD5s.tqcontains(id) )
+      if ( idMD5s.contains(id) )
         other = idMD5s[id].first();
       else
         idMD5s[id].append( i );
@@ -3713,7 +3713,7 @@ void KMMainWidget::initializeFilterActions()
   for ( ;it != kmkernel->filterMgr()->filters().constEnd(); ++it ) {
     if (!(*it)->isEmpty() && (*it)->configureShortcut()) {
       filterName = TQString("Filter %1").tqarg((*it)->name());
-      normalizedName = filterName.tqreplace(" ", "_");
+      normalizedName = filterName.replace(" ", "_");
       if (action(normalizedName.utf8()))
         continue;
       filterCommand = new KMMetaFilterActionCommand(*it, mHeaders, this);
@@ -3803,7 +3803,7 @@ void KMMainWidget::slotShortcutChanged( KMFolder *folder )
 
   TQString actionlabel = TQString( "FolderShortcut %1").tqarg( folder->prettyURL() );
   TQString actionname = TQString( "FolderShortcut %1").tqarg( folder->idString() );
-  TQString normalizedName = actionname.tqreplace(" ", "_");
+  TQString normalizedName = actionname.replace(" ", "_");
   KAction* action =
     new KAction(actionlabel, folder->shortcut(), c, TQT_SLOT(start()),
                 actionCollection(), normalizedName.local8Bit());
diff --git a/kmail/kmmainwin.cpp b/kmail/kmmainwin.cpp
index c2cb135ec..8e14e984a 100644
--- a/kmail/kmmainwin.cpp
+++ b/kmail/kmmainwin.cpp
@@ -122,9 +122,9 @@ void KMMainWin::displayStatusMsg(const TQString& aText)
   // ### FIXME: We should disable richtext/HTML (to avoid possible denial of service attacks),
   // but this code would double the size of the satus bar if the user hovers
   // over an <foo@bar.com>-style email address :-(
-//  text.tqreplace("&", "&amp;");
-//  text.tqreplace("<", "&lt;");
-//  text.tqreplace(">", "&gt;");
+//  text.replace("&", "&amp;");
+//  text.replace("<", "&lt;");
+//  text.replace(">", "&gt;");
 
   statusBar()->changeItem(text, mMessageStatusId);
 }
diff --git a/kmail/kmmessage.cpp b/kmail/kmmessage.cpp
index c083638d3..d4ef0ec49 100644
--- a/kmail/kmmessage.cpp
+++ b/kmail/kmmessage.cpp
@@ -246,10 +246,10 @@ bool KMMessage::transferInProgress() const
 void KMMessage::setTransferInProgress(bool value, bool force)
 {
   MessageProperty::setTransferInProgress( getMsgSerNum(), value, force );
-  if ( !transferInProgress() && sPendingDeletes.tqcontains( this ) ) {
+  if ( !transferInProgress() && sPendingDeletes.contains( this ) ) {
     sPendingDeletes.remove( this );
     if ( tqparent() ) {
-      int idx = tqparent()->tqfind( this );
+      int idx = tqparent()->find( this );
       if ( idx > 0 ) {
         tqparent()->removeMsg( idx );
       }
@@ -260,7 +260,7 @@ void KMMessage::setTransferInProgress(bool value, bool force)
 
 
 bool KMMessage::isUrgent() const {
-  return headerField( "Priority" ).tqcontains( "urgent", false )
+  return headerField( "Priority" ).contains( "urgent", false )
     || headerField( "X-Priority" ).startsWith( "2" );
 }
 
@@ -641,9 +641,9 @@ static bool flushPart(TQString &msg, TQStringList &part,
 
 static TQString stripSignature( const TQString & msg, bool clearSigned ) {
   if ( clearSigned )
-    return msg.left( msg.tqfindRev( TQRegExp( "\n--\\s?\n" ) ) );
+    return msg.left( msg.findRev( TQRegExp( "\n--\\s?\n" ) ) );
   else
-    return msg.left( msg.tqfindRev( "\n-- \n" ) );
+    return msg.left( msg.findRev( "\n-- \n" ) );
 }
 
 TQString KMMessage::smartQuote( const TQString & msg, int maxLineLength )
@@ -845,14 +845,14 @@ TQString KMMessage::asQuotedString( const TQString& aHeaderStr,
     asPlainText( aStripSignature, allowDecryption ) : selection ;
 
   // Remove blank lines at the beginning:
-  const int firstNonWS = content.tqfind( TQRegExp( "\\S" ) );
-  const int lineStart = content.tqfindRev( '\n', firstNonWS );
+  const int firstNonWS = content.find( TQRegExp( "\\S" ) );
+  const int lineStart = content.findRev( '\n', firstNonWS );
   if ( lineStart >= 0 )
     content.remove( 0, static_cast<unsigned int>( lineStart ) );
 
   const TQString indentStr = formatString( aIndentStr );
 
-  content.tqreplace( '\n', '\n' + indentStr );
+  content.replace( '\n', '\n' + indentStr );
   content.prepend( indentStr );
   content += '\n';
 
@@ -887,7 +887,7 @@ KMMessage* KMMessage::createReply( KMail::ReplyStrategy replyStrategy,
        !tqparent()->mailingListPostAddress().isEmpty() ) {
     mailingListAddresses << tqparent()->mailingListPostAddress();
   }
-  if ( headerField("List-Post").tqfind( "mailto:", 0, false ) != -1 ) {
+  if ( headerField("List-Post").find( "mailto:", 0, false ) != -1 ) {
     TQString listPost = headerField("List-Post");
     TQRegExp rx( "<mailto:([^@>]+)@([^>]+)>", false );
     if ( rx.search( listPost, 0 ) != -1 ) // matched
@@ -1108,14 +1108,14 @@ TQCString KMMessage::getRefStr() const
   if (refStr.isEmpty())
     return headerField("Message-Id").latin1();
 
-  i = refStr.tqfind('<');
-  j = refStr.tqfind('>');
+  i = refStr.find('<');
+  j = refStr.find('>');
   firstRef = refStr.mid(i, j-i+1);
   if (!firstRef.isEmpty())
     retRefStr = firstRef + ' ';
 
-  i = refStr.tqfindRev('<');
-  j = refStr.tqfindRev('>');
+  i = refStr.findRev('<');
+  j = refStr.findRev('>');
 
   lastRef = refStr.mid(i, j-i+1);
   if (!lastRef.isEmpty() && lastRef != firstRef)
@@ -1215,8 +1215,8 @@ void KMMessage::sanitizeHeaders( const TQStringList& whiteList )
    while (field)
    {
      nextField = field->Next();
-     if ( field->FieldNameStr().tqfind( "ontent" ) == DwString::npos
-             && !whiteList.tqcontains( TQString::tqfromLatin1( field->FieldNameStr().c_str() ) ) )
+     if ( field->FieldNameStr().find( "ontent" ) == DwString::npos
+             && !whiteList.contains( TQString::tqfromLatin1( field->FieldNameStr().c_str() ) ) )
        header.RemoveField(field);
      field = nextField;
    }
@@ -1245,7 +1245,7 @@ KMMessage* KMMessage::createForward( const TQString &tmpl /* = TQString() */ )
     TQStringList blacklist = GlobalSettings::self()->mimetypesToStripWhenInlineForwarding();
     for ( TQStringList::Iterator it = blacklist.begin(); it != blacklist.end(); ++it ) {
       TQString entry = (*it);
-      int sep = entry.tqfind( '/' );
+      int sep = entry.find( '/' );
       TQCString type = entry.left( sep ).latin1();
       TQCString subtype = entry.mid( sep+1 ).latin1();
       kdDebug( 5006 ) << "Looking for blacklisted type: " << type << "/" << subtype << endl;
@@ -1442,7 +1442,7 @@ KMMessage* KMMessage::createMDN( MDN::ActionMode a,
   // an MDN with any disposition type other than "failed" in response
   // to the request.
   TQString notificationOptions = headerField("Disposition-Notification-Options");
-  if ( notificationOptions.tqcontains( "required", false ) ) {
+  if ( notificationOptions.contains( "required", false ) ) {
     // ### hacky; should parse...
     // There is a required option that we don't understand. We need to
     // ask the user what we should do:
@@ -1476,7 +1476,7 @@ KMMessage* KMMessage::createMDN( MDN::ActionMode a,
   TQString returnPath = returnPathList.isEmpty() ? TQString()
     : returnPathList.front().localPart + '@' + returnPathList.front().domain ;
   kdDebug(5006) << "clean return path: " << returnPath << endl;
-  if ( returnPath.isEmpty() || !receiptTo.tqcontains( returnPath, false ) ) {
+  if ( returnPath.isEmpty() || !receiptTo.contains( returnPath, false ) ) {
     if ( !allowGUI ) return 0; // don't setMDNSentState here!
     mode = requestAdviceOnMDN( returnPath.isEmpty() ?
 			       "mdnReturnPathEmpty" :
@@ -1618,13 +1618,13 @@ TQString KMMessage::replaceHeadersInString( const TQString & s ) const {
 
   int idx = 0;
   if( ( idx = rxDate.search( result, idx ) ) != -1  ) {
-    result.tqreplace( idx, rxDate.matchedLength(), sDate );
+    result.replace( idx, rxDate.matchedLength(), sDate );
   }
 
   idx = 0;
   while ( ( idx = rx.search( result, idx ) ) != -1 ) {
     TQString replacement = headerField( TQString(rx.cap(1)).latin1() );
-    result.tqreplace( idx, rx.matchedLength(), replacement );
+    result.replace( idx, rx.matchedLength(), replacement );
     idx += replacement.length();
   }
   return result;
@@ -2081,11 +2081,11 @@ TQString KMMessage::replyToId() const
 
   replyTo = headerField("In-Reply-To");
   // search the end of the (first) message id in the In-Reply-To header
-  rightAngle = replyTo.tqfind( '>' );
+  rightAngle = replyTo.find( '>' );
   if (rightAngle != -1)
     replyTo.truncate( rightAngle + 1 );
   // now search the start of the message id
-  leftAngle = replyTo.tqfindRev( '<' );
+  leftAngle = replyTo.findRev( '<' );
   if (leftAngle != -1)
     replyTo = replyTo.mid( leftAngle );
 
@@ -2094,14 +2094,14 @@ TQString KMMessage::replyToId() const
   // misconfigured Mutt. They look like this <"from foo"@bar.baz>, i.e.
   // they contain double quotes and spaces. We only check for '"'.
   if (!replyTo.isEmpty() && (replyTo[0] == '<') &&
-      ( -1 == replyTo.tqfind( '"' ) ) )
+      ( -1 == replyTo.find( '"' ) ) )
     return replyTo;
 
   references = headerField("References");
-  leftAngle = references.tqfindRev( '<' );
+  leftAngle = references.findRev( '<' );
   if (leftAngle != -1)
     references = references.mid( leftAngle );
-  rightAngle = references.tqfind( '>' );
+  rightAngle = references.find( '>' );
   if (rightAngle != -1)
     references.truncate( rightAngle + 1 );
 
@@ -2126,11 +2126,11 @@ TQString KMMessage::references() const
   TQString references = headerField( "References" );
 
   // keep the last two entries for threading
-  leftAngle = references.tqfindRev( '<' );
-  leftAngle = references.tqfindRev( '<', leftAngle - 1 );
+  leftAngle = references.findRev( '<' );
+  leftAngle = references.findRev( '<', leftAngle - 1 );
   if( leftAngle != -1 )
     references = references.mid( leftAngle );
-  rightAngle = references.tqfindRev( '>' );
+  rightAngle = references.findRev( '>' );
   if( rightAngle != -1 )
     references.truncate( rightAngle + 1 );
 
@@ -2146,7 +2146,7 @@ TQString KMMessage::replyToAuxIdMD5() const
   TQString result = references();
   // references contains two items, use the first one
   // (the second to last reference)
-  const int rightAngle = result.tqfind( '>' );
+  const int rightAngle = result.find( '>' );
   if( rightAngle != -1 )
     result.truncate( rightAngle + 1 );
 
@@ -2182,11 +2182,11 @@ TQString KMMessage::msgId() const
   TQString msgId = headerField("Message-Id");
 
   // search the end of the message id
-  const int rightAngle = msgId.tqfind( '>' );
+  const int rightAngle = msgId.find( '>' );
   if (rightAngle != -1)
     msgId.truncate( rightAngle + 1 );
   // now search the start of the message id
-  const int leftAngle = msgId.tqfindRev( '<' );
+  const int leftAngle = msgId.findRev( '<' );
   if (leftAngle != -1)
     msgId = msgId.mid( leftAngle );
   return msgId;
@@ -3197,8 +3197,8 @@ bool KMMessage::deleteBodyPart( int partIndex )
   dummyPart.setContentDescription( comment );
   dummyPart.setBodyEncodedBinary( TQByteArray() );
   TQCString cd = dummyPart.contentDisposition();
-  if ( cd.tqfind( "inline", 0, false ) == 0 ) {
-    cd.tqreplace( 0, 10, "attachment" );
+  if ( cd.find( "inline", 0, false ) == 0 ) {
+    cd.replace( 0, 10, "attachment" );
     dummyPart.setContentDisposition( cd );
   } else if ( cd.isEmpty() ) {
     dummyPart.setContentDisposition( "attachment" );
@@ -3251,14 +3251,14 @@ DwBodyPart* KMMessage::createDWBodyPart(const KMMessagePart* aPart)
     int iL, i1, i2, iM;
     iL = additionalParam.length();
     i1 = 0;
-    i2 = additionalParam.tqfind(';', i1, false);
+    i2 = additionalParam.find(';', i1, false);
     while ( i1 < iL )
     {
       if( -1 == i2 )
 	i2 = iL;
       if( i1+1 < i2 ) {
 	parAV = additionalParam.mid( i1, (i2-i1) );
-	iM = parAV.tqfind('=');
+	iM = parAV.find('=');
 	if( -1 < iM )
         {
 	  parA = parAV.left( iM ).data();
@@ -3281,7 +3281,7 @@ DwBodyPart* KMMessage::createDWBodyPart(const KMMessagePart* aPart)
 	ct.AddParameter( param );
       }
       i1 = i2+1;
-      i2 = additionalParam.tqfind(';', i1, false);
+      i2 = additionalParam.find(';', i1, false);
     }
   }
 
@@ -3975,7 +3975,7 @@ TQString KMMessage::expandAliases( const TQString& recipients )
 
     // check whether the address is missing the domain part
     // FIXME: looking for '@' might be wrong
-    if ( receiver.tqfind('@') == -1 ) {
+    if ( receiver.find('@') == -1 ) {
       KConfigGroup general( KMKernel::config(), "General" );
       TQString defaultdomain = general.readEntry( "Default domain" );
       if( !defaultdomain.isEmpty() ) {
@@ -4014,8 +4014,8 @@ TQString KMMessage::guessEmailAddressFromLoginName( const TQString& loginName )
   const KUser user( loginName );
   if ( user.isValid() ) {
     TQString fullName = user.fullName();
-    if ( fullName.tqfind( TQRegExp( "[^ 0-9A-Za-z\\x0080-\\xFFFF]" ) ) != -1 )
-      address = '"' + fullName.tqreplace( '\\', "\\" ).tqreplace( '"', "\\" )
+    if ( fullName.find( TQRegExp( "[^ 0-9A-Za-z\\x0080-\\xFFFF]" ) ) != -1 )
+      address = '"' + fullName.replace( '\\', "\\" ).replace( '"', "\\" )
 	      + "\" <" + address + '>';
     else
       address = fullName + " <" + address + '>';
diff --git a/kmail/kmmessage.h b/kmail/kmmessage.h
index 32e79e2ad..e15732b95 100644
--- a/kmail/kmmessage.h
+++ b/kmail/kmmessage.h
@@ -713,7 +713,7 @@ public:
                                  bool removeLineBreaks = false );
 
   /** Converts the email address(es) to (a) nice HTML mailto: anchor(s).
-   * If stripped is TRUE then the visible part of the anchor tqcontains
+   * If stripped is TRUE then the visible part of the anchor contains
    * only the name part and not the given emailAddr.
    */
   static TQString emailAddrAsAnchor(const TQString& emailAddr,
